//PWM prehravanie

#include <avr/io.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <avr/sfr_defs.h>
#include <avr\interrupt.h>


void InitPWM(void)
{

//TIMER/COUNTER0 ridi primo PWM vystup
	TCCR0|=(1<<WGM00)|(1<<WGM01)|(1<<COM01)|(1<<CS00); // bez preddelicky, rezim Fast PWM, neinvertovany

//TIMER/COUNTER2 ridi vzorkovaci periodu (rychlost toku vzorku na PWM)
	TCCR2|=(1<<WGM21)|(1<<CS21);		// preddelicka fclkio/8, rezim CTC
	OCR2=125;				// vzorkovaci perioda pro 8 MHz krystal a 8 kHz fvz

}

void playByte( unsigned char data )
{
	while (bit_is_clear(TIFR,OCF2));	// cekej na shodu 
	{
		OCR0=data;			// posli hodnotu vzorku na PWM
		TIFR|=(0<<OCF2);		// vynuluj flag shody TCNT2
		return;

	}
}



